Name:          xmlenc
Version:       0.52
Release:       %mkrel 1
Summary:       A fast stream-based XML output library for Java
Group:         Development/Java
License:       BSD
Url:           http://%{name}.sourceforge.net/
Source0:       http://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tgz
Source1:       http://repo1.maven.org/maven2/%{name}/%{name}/%{version}/%{name}-%{version}.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: glassfish-jaf
BuildRequires: javamail
BuildRequires: junit

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
The xmlenc library is a fast stream-based XML output library for Java.
Main design goals are performance, simplicitity and pureness.
As far as known, xmlenc is the fastest XML output library for Java.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
rm -rf build/*
find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;
%build

export CLASSPATH=$(build-classpath glassfish-jaf javamail/mail ant/ant-junit junit)
ant -Djavac.targetvm=1.5 all

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 build/%{name}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p  %{buildroot}%{_javadocdir}/%{name}
cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc CHANGES COPYRIGHT README THANKS

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Oct 28 2011 gil <gil> 0.52-1.mga2
+ Revision: 159063
- imported package xmlenc

